local EggTimer = _G.EggTimer
local L = LibStub("AceLocale-3.0"):GetLocale("EggTimer")

function EggTimer:LocalizeCalendarPrompt()
	EggTimerCalendarPrompt_Title:SetText(L["EggTimer Calendar Event"])
	local promptbody = ""
	if EggTimer.calendaritems[1] == 39878 then
		promptbody = L["EggTimer can prepare a reminder event on your calendar for the time when your Mysterious Egg hatches."]
	elseif EggTimer.calendaritems[1] == 44717 then
		promptbody = L["EggTimer can prepare a reminder event on your calendar for the time when your Disgusting Jar becomes ripe."]
	end
	EggTimerCalendarPrompt_Body:SetText(promptbody)
	EggTimerCalendarPrompt_Okay:SetText(L["Add event"])
	EggTimerCalendarPrompt_Cancel:SetText(L["Do nothing"])
end

function EggTimer:AddCalendarEvent()
	local itemcode = EggTimer.calendaritems[1]
	local toon = UnitName("player") .. " - " .. GetRealmName()
	local year, month, day, hour, minute
	local expiry = EggTimer.db.Items[itemcode][toon].Expires
	year = tonumber(date("%Y", expiry))
	month = tonumber(date("%m", expiry))
	day = tonumber(date("%d", expiry))
	hour = tonumber(date("%H", expiry))
	minute = tonumber(date("%M", expiry))
	CalendarNewEvent()
	CalendarEventSetDate(month, day, year)
	CalendarEventSetDescription(EggTimer.ItemDB[itemcode].Calendar.Description)
	CalendarEventSetTime(hour, minute)
	CalendarEventSetTitle(EggTimer.ItemDB[itemcode].Calendar.Title)
	CalendarEventSetType(5)
end
